aboutsummaryrefslogtreecommitdiffstats
path: root/test/scripts/setsid_wrapper.sh
diff options
context:
space:
mode:
authorKlement Sekera <ksekera@cisco.com>2017-08-11 10:06:15 +0200
committerDave Wallace <dwallacelf@gmail.com>2017-08-14 15:21:43 +0000
commitdb4e84cf2f8de0909c3483c8cadb25ac72fb3367 (patch)
tree4a53ac49f39e3c492088e417050b7c1d98760e88 /test/scripts/setsid_wrapper.sh
parent3214dc382342573c242782849d98c23009960633 (diff)
make test: properly handle ctrl-c
Change-Id: Iab88886ebc1582626813777ea45ce97fc8e36443 Signed-off-by: Klement Sekera <ksekera@cisco.com>
Diffstat (limited to 'test/scripts/setsid_wrapper.sh')
-rwxr-xr-xtest/scripts/setsid_wrapper.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/scripts/setsid_wrapper.sh b/test/scripts/setsid_wrapper.sh
new file mode 100755
index 00000000..e18b6ad5
--- /dev/null
+++ b/test/scripts/setsid_wrapper.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [[ "$1" == "1" ]]
+then
+ setsid scripts/run_in_venv_with_cleanup.sh $*
+ pid=$!
+else
+ setsid scripts/run_in_venv_with_cleanup.sh $* &
+ pid=$!
+ trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM
+ wait
+fi